<div class="container wrapper wrapper2">
    <div class="row">
        <!-- Form -->
        <div class="col-md-12">
            <h3>Add Customer</h3>
            <form class="example-form" [formGroup]='customerForm' (ngSubmit)="submitForm()" novalidate>
               
                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Fullname</mat-label>
                    <input formControlName="fullname" type="string" matInput [formControl]="fullnameFormControl" [errorStateMatcher]="matcher"
                            placeholder="Ex. João da Silva Sauro" maxlength="300">
                    <mat-error *ngIf="fullnameFormControl.hasError('required')">
                        Fullname is <strong>required</strong>
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Email</mat-label>
                    <input formControlName="email" type="email" matInput [formControl]="emailFormControl" [errorStateMatcher]="matcher"
                            placeholder="Ex. john@example.com">
                    <!-- <mat-hint>Errors appear instantly!</mat-hint> -->
                    <mat-error *ngIf="emailFormControl.hasError('email') && !emailFormControl.hasError('required')">
                        Please enter a valid email address
                    </mat-error>
                    <mat-error *ngIf="emailFormControl.hasError('required')">
                        Email is <strong>required</strong>
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Phone</mat-label>
                    <input formControlName="phone" type="string" matInput [formControl]="phoneFormControl" [errorStateMatcher]="matcher"
                            placeholder="54-999888777" maxlength="12">
                    <mat-error *ngIf="phoneFormControl.hasError('pattern') && !phoneFormControl.hasError('required')">
                        Please enter a valid phone number like 54-999888777
                    </mat-error>
                    <mat-error *ngIf="phoneFormControl.hasError('required')">
                        Phone is <strong>required</strong>
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Street</mat-label>
                    <input formControlName="address_street" type="string" matInput [formControl]="streetFormControl" [errorStateMatcher]="matcher">
                    <mat-error *ngIf="streetFormControl.hasError('required')">
                        Street is <strong>required</strong>
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Number</mat-label>
                    <input formControlName="address_number" type="number" matInput [formControl]="numberFormControl" [errorStateMatcher]="matcher">
                    <mat-error *ngIf="numberFormControl.hasError('pattern') && !numberFormControl.hasError('required')">
                        Please enter a valid house number
                    </mat-error>
                    <mat-error *ngIf="numberFormControl.hasError('required')">
                        Number is <strong>required</strong>
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>District</mat-label>
                    <input formControlName="address_district" type="string" matInput [formControl]="districtFormControl" [errorStateMatcher]="matcher">
                    <mat-error *ngIf="districtFormControl.hasError('required')">
                        District is <strong>required</strong>
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>City</mat-label>
                    <input formControlName="address_city" type="string" matInput [formControl]="cityFormControl" [errorStateMatcher]="matcher">
                    <mat-error *ngIf="cityFormControl.hasError('required')">
                        City is <strong>required</strong>
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>State</mat-label>
                    <input formControlName="address_state" type="string" matInput [formControl]="stateFormControl" [errorStateMatcher]="matcher">
                    <mat-error *ngIf="stateFormControl.hasError('required')">
                        State is <strong>required</strong>
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Zipcode</mat-label>
                    <input formControlName="address_zipcode" type="string" matInput [formControl]="zipcodeFormControl" [errorStateMatcher]="matcher"
                    placeholder="95150-000" maxlength="9">
                    <mat-error *ngIf="zipcodeFormControl.hasError('required')">
                        Zipcode is <strong>required</strong>
                    </mat-error>
                    <mat-error *ngIf="zipcodeFormControl.hasError('pattern') && !zipcodeFormControl.hasError('required')">
                        Please enter a valid zipcode like: 95150-000
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Complement</mat-label>
                    <input formControlName="address_complement" type="string" matInput>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Occupation</mat-label>
                    <input formControlName="occupation" type="string" matInput [formControl]="occupationFormControl" [errorStateMatcher]="matcher">
                    <mat-error *ngIf="occupationFormControl.hasError('required')">
                        Occupation is <strong>required</strong>
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Resume</mat-label>
                    <input formControlName="resume" type="string" matInput >
                </mat-form-field>

                <button type="reset" mat-icon-button>
                    <mat-icon>clear</mat-icon>
                  </button>

                <button type="submit" mat-button color="primary">Send</button>
            </form>
        </div>
    </div>
</div>